function [ frame ] = YCbCr_to_RGB( luma, chroma )

    Cb = zeros(size(luma));
    Cr = zeros(size(luma));
    Cb(1:2:end,1:2:end) = chroma(:,:,1);
    Cr(1:2:end,1:2:end) = chroma(:,:,2);
    Cb = conv2( Cb, ones(2,2),'same');
    Cr = conv2( Cr, ones(2,2),'same');
    
    frame = zeros(size(luma,1),size(luma,2),3);
    frame(:,:,1) = Cr + luma;
    frame(:,:,3) = Cb + luma;
    frame(:,:,2) = ( luma- 0.299*frame(:,:,1) - 0.114*frame(:,:,3) )/0.587;
    frame = uint8(frame);
end

